# tree< T, tree_node_allocator >::pre_order_iterator Class Reference

## Detailed Description

### template<class T, class tree_node_allocator = std::allocator<tree_node_<T> >>
class tree< T, tree_node_allocator >::pre_order_iterator

Depth-first iterator, first accessing the node, then its children.

Definition at line 156 of file tree.hh.

The documentation for this class was generated from the following file:

- tree.hh